module TurbaKit
  module Tip
    def update_service_tip(service_id, tip_id, options = {})
      put_request("/services/#{service_id}/tips/#{tip_id}", {
        namespace: :tip,
        params: {
          tip: options
        }
      })
    end

    def create_service_tip(service_id, options = {})
      post_request("/services/#{service_id}/tips", {
        namespace: :tip,
        params: {
          tip: options
        }
      })
    end

    def delete_service_tip(service_id, tip_id, options = {})
      delete_request("/services/#{service_id}/tips/#{tip_id}")
    end
  end
end
