module TurbaKit
  module CallToAction
    def update_service_call_to_action(service_id, call_to_action_id, options = {})
      put_request("/services/#{service_id}/call_to_actions/#{call_to_action_id}", {
        namespace: :call_to_action,
        params: {
          call_to_action: options
        }
      })
    end

    def create_service_call_to_action(service_id, options = {})
      post_request("/services/#{service_id}/call_to_actions", {
        namespace: :call_to_action,
        params: {
          call_to_action: options
        }
      })
    end

    def delete_service_call_to_action(service_id, call_to_action_id, options = {})
      delete_request("/services/#{service_id}/call_to_actions/#{call_to_action_id}")
    end
  end
end
