module TurbaKit
  module Checkins
    def checkins(options = {})
      default = {
        page: 0,
        per_page: 10,
        published: true,
        country_code: 'FR',
        type: 'parent'
      }

      get_request("/checkins", {params: default.merge(options)})
    end

    def create_checkin(service_id, wait, options = {})
      default = {
        user: :guest,
        location: 'N/A',
        platform: :web,
        service_id: service_id,
        wait: wait
      }
      post_request("/checkins", {
        params: {
          checkin: default.merge(options)
        }
      })
    end
  end
end
