module TurbaKit
  module Misc
    def update_service_misc(service_id, misc_id, options = {})
      put_request("/services/#{service_id}/miscs/#{misc_id}", {
        namespace: :misc,
        params: {
          misc: options
        }
      })
    end

    def create_service_misc(service_id, options = {})
      post_request("/services/#{service_id}/miscs", {
        namespace: :misc,
        params: {
          misc: options
        }
      })
    end

    def delete_service_misc(service_id, misc_id, options = {})
      delete_request("/services/#{service_id}/miscs/#{misc_id}")
    end
  end
end
