module TurbaKit
  module Phonenumber
    def update_service_phonenumber(service_id, phonenumber_id, options = {})
      put_request("/services/#{service_id}/phonenumbers/#{phonenumber_id}", {
        namespace: :phonenumber,
        params: {
          phonenumber: options
        }
      })
    end

    def create_service_phonenumber(service_id, options = {})
      post_request("/services/#{service_id}/phonenumbers", {
        namespace: :phonenumber,
        params: {
          phonenumber: options
        }
      })
    end

    def delete_service_phonenumber(service_id, phonenumber_id, options = {})
      delete_request("/services/#{service_id}/phonenumbers/#{phonenumber_id}")
    end
  end
end
