module TurbaKit
  module Place
    def update_service_place(service_id, place_id, options = {})
      put_request("/services/#{service_id}/places/#{place_id}", {
        namespace: :place,
        params: {
          place: options
        }
      })
    end

    def create_service_place(service_id, options = {})
      post_request("/services/#{service_id}/places", {
        namespace: :place,
        params: {
          place: options
        }
      })
    end

    def delete_service_place(service_id, place_id, options = {})
      delete_request("/services/#{service_id}/places/#{place_id}")
    end
  end
end
